from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XStateChangeBroadcaster(XInterface, Protocol):
    def addStateChangeListener(self, xListener: XStateChangeListener) -> None: ...
    def removeStateChangeListener(self, xListener: XStateChangeListener) -> None: ...
